### Method

# WPEPlatform Settings set_value

#### Declaration [src]

    gboolean
    wpe_settings_set_value (
      WPESettings* settings,
      const char* key,
      GVariant* value,
      WPESettingsSource source,
      GError** error
    )

#### Description [src]

If `source` is `WPE_SETTINGS_SOURCE_APPLICATION`, then the value will not be overwritten by the platform. This value should always be `WPE_SETTINGS_SOURCE_PLATFORM` for platforms themselves. This can cause this method to return `TRUE` even though no setting changes.

To set a value `key` must have been registered and `value` must be of the correct type.

Any floating reference of `value` will be consumed.

Setting `value` to `NULL` will reset it to the default.

On a value being changed it will emit `WPESettings::changed`.

#### Parameters

`key`

  Type: `const char*`

  The key to set.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `GVariant`

  The value to set or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`source`

  Type: `WPESettingsSource`

  The source of the settings change.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`FALSE` if `error` was set, `TRUE` otherwise.